/* 
 * @Program to Handle Errors While Parsing an XML File 
 * HandlingErrors.java 
 * Author:-RoseIndia Team
 * Date:-23-July-2008
 */

import java.io.File;
import javax.xml.parsers.SAXParser;
import javax.xml.parsers.SAXParserFactory;

import org.xml.sax.Attributes;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;
import org.xml.sax.helpers.DefaultHandler;

public class HandlingErrors {

    public static void main(String[] args) throws Exception {
        File f = new File("Document4.xml");
        SAXParserFactory saxpf = SAXParserFactory.newInstance();
        saxpf.setValidating(true);
        SAXParser parser = saxpf.newSAXParser();
        SAXHandler handler = new SAXHandler();
        parser.parse(f, handler);
    }

    private static final class SAXHandler extends DefaultHandler {

        public void startElement(String uri, String localName,
                String qName, Attributes attrs) throws SAXException {
            if (qName.equals("Company")) {
            }
        }

        public void error(SAXParseException ex) throws SAXException {
            System.out.println("ERROR: " + ex.getLineNumber() +
                    "" + ex);
        }

        public void fatalError(SAXParseException ex) throws SAXException {
            System.out.println("FATAL_ERROR:  " +
                    ex.getLineNumber() + " " + ex);
        }

        public void warning(SAXParseException ex) throws SAXException {
            System.out.println("WARNING:  " +
                    ex.getLineNumber() + " " + ex);
        }
    }
} 

